Installation help

Moodle Upgradation from 1.9.4 to 2.6

 
 
Picture of Randhir Kumar
Moodle Upgradation from 1.9.4 to 2.6
 

I want to upgrade moodle database from 1.9.4 to 2.6 . But due to large database it is looping during quiz upgrading. 

I have done below steps for upgrading

   1) upgrading from  Moodle 1.9.4 to 1.9.19 

                 -->  Upgraded sucessfully

    2) upgrading from  Moodle 1.9.19 to 2.2.11

   3) I need updated 2.2.11  to update 2.6 but not able to update till 2.2.11 yet 

      --->  Looping forever in mdl_quiz   upgradation  due to too many quiz attempts in our database                           

Two table mdl_question_states(5.6gb) and mdl_question session (2.5gb) is too big to be upgraded and it is looping forever  with execution related to these table during moodle upgradation.

I want to know the process to upgrade database (10.8 gb ) only with moodle 2.6 compatibility.                 

                         

          

 
Average of ratings: -
Tim at Lone Pine Koala Sanctuary
Re: Moodle Upgradation from 1.9.4 to 2.6
Group DevelopersGroup Documentation writersGroup Particularly helpful Moodlers

It is not 'looping forever'. It is looping for a long time, because that is how much data you have.

What is all this data? Why do you need to keep it? At the time when the OU did the corresponding upgrade, we took the opportunity to first delete a lot of old data that no-one needed nay more.

Have you read all the advice about upgradeing to Mooodle 2.1, starting at http://docs.moodle.org/dev/Moodle_2.1_release_notes ? In particular read http://docs.moodle.org/21/en/Upgrading_to_Moodle_2.1#Planning_the_question_engine_upgrade

 
Average of ratings:Useful (1)